<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.sdk.esc">
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <uses-feature android:name="android.hardware.usb.host" />
    <uses-permission android:name="android.permission.USB_PERMISSION" />
    <uses-permission android:name="android.permission.ACCESS_USB_DEVICE" />
    <meta-data android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED" />

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT"/>
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE"/>

    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" android:maxSdkVersion="32" />
    <application
        android:allowBackup="true"
        android:icon="@drawable/logo2"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:name=".App"
        android:theme="@style/AppTheme">
    <activity
        android:name=".Activity_Logo"
        android:label="@string/app_name"
        android:exported="true">
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
    </activity>
    <activity
        android:name=".Activity_Main"
        android:label="@string/app_title" />
    <activity android:name=".Activity_1DBarcodes" />
    <activity
        android:name=".Activity_Cashdrawer"
        android:theme="@android:style/Theme.Dialog"></activity>
    <activity
        android:name=".Activity_Cut"
        android:theme="@android:style/Theme.Dialog"></activity>
    <activity android:name=".Activity_QRCode" />
    <activity android:name=".Activity_Setting" />
    <activity android:name=".Activity_TextFormat" />
    <activity
        android:name=".Activity_Wifi"
        android:theme="@android:style/Theme.Dialog"></activity>
    <activity
        android:name=".Activity_UDP"
        android:theme="@android:style/Theme.Dialog"></activity>
    <activity android:name=".BTActivity"></activity>
    </application>
</manifest>